# GimpUi.LabelEntry

    const GimpUi = imports.gi.GimpUi;

    let labelEntry = new GimpUi.LabelEntry({
    });

This widget is a subclass of GimpUi.Labeled with a Gtk.Entry.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Grid
          - GimpUi.Labeled
            - GimpUi.LabelEntry

## Constructors

- GimpUi.LabelEntry.new

## Methods

- GimpUi.LabelEntry.prototype.get_entry
- GimpUi.LabelEntry.prototype.get_value
- GimpUi.LabelEntry.prototype.set_value

## Properties

- value

## Signals

- value-changed